#ifndef SOUNDMANAGERHEADER
#define SOUNDMANAGERHEADER
#include "SDL_mixer.h"
#include "AudioSample.h"
#include <vector>

void PlaySoundEffect(const char* name);
void PlaySoundQueue(const char* name, const char* comb);

using namespace std;
class SoundQueue
{
public:
	SoundQueue() :channel(-1), playing(false),offset(0) {};
	~SoundQueue() {};
	bool Advance();



	vector<AudioSample*> samples;
	unsigned int offset;
	int channel;
	bool playing;

};

//only ever make ONE!
class SoundManager
{
public:
	static SoundManager * Singleton;
	bool Activate();
	void Deactivate();
	void PauseAll(bool val);
	int Play(AudioSample & s, int loops);
	void SetNumChannels(unsigned int channels);

	void PlayQueue(vector<AudioSample*> & samps);

private:
	SoundManager();
	~SoundManager();

	static void finishCallback(int chan);
	bool active;
	vector< SoundQueue > queues;
};

#endif