#ifndef __BBOX_H__
#define __BBOX_H__


class BBox
{
public:

	BBox();
	BBox(float w, float h);
	BBox(float cx, float cy, float w, float h);

	BBox(const BBox& box);

	virtual ~BBox();

	BBox& operator=(const BBox& box);

	void getCenter(float& x, float& y) const;
	void setCenter(float  x, float  y);

	float getWidth() const;
	void  setWidth(float w);

	float getHeight() const;
	void  setHeight(float h);

	void getMin(float& x, float& y) const;
	void getMax(float& x, float& y) const;

	void grow(const BBox& box);

	bool pointInBox(float x, float y) const;

	void draw() const;

private:

	float center[2];
	float width;
	float height;
};

#endif // __BBOX_H__
