#ifndef __ENUM_H__
#define __ENUM_H__

#define CONST_FLOAT_ZERO 0.0001f
#define CONST_PIXEL_SIZE 1.0f

// Entity properties
//
#define DEF_ENTITY_W 64
#define DEF_ENTITY_H 64


// SpellPoints properties
//
#define MIN_SP_F 0
#define MIN_SP_W 0
#define MIN_SP_E 0
#define MIN_SP_L 0

#define MAX_SP_F 5
#define MAX_SP_W 5
#define MAX_SP_E 5
#define MAX_SP_L 5


// spell source properties
//
enum              eSpellSources        { eGeneric,  eFire,  eWater,  eEarth,  eElec,  eNumSpellSources, eCreateFire, eCreateWater, eCreateEarth, eCreateElec };
const char* const eSpellSourcesStr[] = { "generic", "fire", "water", "earth", "elec", "unknown gesture",      "fire",      "water",      "earth",      "elec" };

#define MIN_SS_LIFE 0
#define MAX_SS_LIFE 10

#define DEF_SS_WIZ_F 1
#define DEF_SS_WIZ_W 1
#define DEF_SS_WIZ_E 1
#define DEF_SS_WIZ_L 1

#define DEF_SS_SHOT_F 1
#define DEF_SS_SHOT_W 1
#define DEF_SS_SHOT_E 1
#define DEF_SS_SHOT_L 1


// wizard properties
//
#define WIZ_WALK_SPEED 100.0f

#define MIN_WIZ_HPS  0
#define MIN_WIZ_MANA 0

#define MAX_WIZ_HPS  10
#define MAX_WIZ_MANA 100


#define MANA_PER_TURN 10.0

#define COST_MANIP  10.0

#define COST_CREATE_F 20.0
#define COST_CREATE_W 20.0
#define COST_CREATE_E 20.0
#define COST_CREATE_L 20.0

#define COST_SHOT_G 5
#define COST_SHOT_F 5
#define COST_SHOT_W 5
#define COST_SHOT_E 5
#define COST_SHOT_L 5

const float       costSpell[]          = { COST_SHOT_G, COST_SHOT_F, COST_SHOT_W, COST_SHOT_E, COST_SHOT_L, 0, COST_CREATE_F, COST_CREATE_W, COST_CREATE_E, COST_CREATE_L };

#endif // __ENUM_H__
